# -*- coding: utf-8 -*-
"""
Created on Thu Aug 22 14:34:16 2024

@author: yqlim
"""
import logging
logger = logging.getLogger(__name__)

from typing import Any

def to_list(value: Any) -> list[Any]:
    """
    Cast input to list.

    Parameters
    ----------
    value : Any
    
    Returns
    -------
    list[Any]
    """
    return list(value) if not isinstance(value, list) else value